cpanel-analytics (1.4.58-9+9.1.cpanel) stable; urgency=low

  * CPANEL-49844: Index domains for fast lookup when populating metrics

 -- B. McMahon <benjamin.mcmahon@webpros.com>  Thu, 18 Dec 2025 00:00:00 -0000

cpanel-analytics (1.4.58-8) stable; urgency=low

  * CPANEL-49844: Adjust IMAP/POP session data.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Tue, 16 Dec 2025 00:00:00 -0000

cpanel-analytics (1.4.58-5) stable; urgency=low

  * CPANEL-49844: Add IMAP/POP session counting.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Mon, 08 Dec 2025 00:00:00 -0000

cpanel-analytics (1.4.58-3) stable; urgency=low

  * CPANEL-50364: Collect slightly more information about ConfigServer Firewall version and configuration

 -- Sloane Bernstein <sloane.bernstein@webpros.com>  Fri, 21 Nov 2025 00:00:00 -0000

cpanel-analytics (1.4.58-2) stable; urgency=low

  * CPANEL-49791: Fix warnings resulting from skipping /etc/csf/cpanel.allow

 -- Sloane Bernstein <sloane.bernstein@webpros.com>  Fri, 14 Nov 2025 00:00:00 -0000

cpanel-analytics (1.4.58-1) stable; urgency=low

  * CPANEL-49791: Collect information about ConfigServer Firewall configuration

 -- Sloane Bernstein <sloane.bernstein@webpros.com>  Thu, 13 Nov 2025 00:00:00 -0000

cpanel-analytics (1.4.57-15) stable; urgency=low

  * CPANEL-48130: Record wappspector docroot results
  * EA4-156: Move ea-wappspector dependency to cpanel-analytics
  * EA4-194: remove port from domain in web traffic report

 -- Brian Mendoza <brian.mendoza@webpros.com>  Wed, 12 Nov 2025 00:00:00 -0000

cpanel-analytics (1.4.57-14) stable; urgency=low

  * CPANEL-49507: Redirect dryrun install output so prevent confusing log entries

 -- Brian Mendoza <brian.mendoza@webpros.com>  Wed, 05 Nov 2025 00:00:00 -0000

cpanel-analytics (1.4.57-13) stable; urgency=low

  * CPANEL-49828: Do not use cPstrict in Elevate.pm

 -- Travis Holloway <travis.holloway@webpros.com>  Mon, 03 Nov 2025 00:00:00 -0000

cpanel-analytics (1.4.57-12) stable; urgency=low

  * WPX-9239: Fix an error when gathering WP2 features on non-WP2 servers.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@webpros.com>  Thu, 16 Oct 2025 00:00:00 -0000

cpanel-analytics (1.4.57-11) stable; urgency=low

  * WPX-8715: Restructure the data gathered for WP2 features

 -- Rishwanth Yeddula <rishwanth.yeddula@webpros.com>  Wed, 10 Sep 2025 00:00:00 -0000

cpanel-analytics (1.4.57-10) stable; urgency=low

  * CPANEL-48300: Remove personhood input from whm, cpanel, and webmail templates
  * CPANEL-49414: Remove analytics checks for root user with trial license

 -- Maksym Lutsiv <maksym.lutsiv@webpros.com>  Mon, 08 Sep 2025 00:00:00 -0000

cpanel-analytics (1.4.57-9) stable; urgency=low

  * CPANEL-49010: Fix apt-get dry-run bug in package manager data collection.

 -- Chris Castillo <chris.castillo@webpros.com>  Tue, 02 Sep 2025 00:00:00 -0000

cpanel-analytics (1.4.57-8) stable; urgency=low

  * CPANEL-46622: Record send button click event in Roundcube.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Wed, 27 Aug 2025 00:00:00 -0000

cpanel-analytics (1.4.57-4) stable; urgency=low

  * CPANEL-48479: Collect package manager issues as they relate to traffic stats collection.

 -- Chris Castillo <chris.castillo@webpros.com>  Thu, 21 Aug 2025 00:00:00 -0000

cpanel-analytics (1.4.57-3) stable; urgency=low

  * WPX-8246: Track WP2 feature usage

 -- Rishwanth Yeddula <rishwanth.yeddula@webpros.com>  Fri, 15 Aug 2025 00:00:00 -0000

cpanel-analytics (1.4.57-2) stable; urgency=low

  * CPANEL-46464: Collect number of resellers, cPanel, and webmail users consenting to analytics

 -- Brian Mendoza <brian.mendoza@webpros.com>  Tue, 05 Aug 2025 00:00:00 -0000

cpanel-analytics (1.4.57-1) stable; urgency=low

  * CPANEL-47889: Collect OCSP stats on SSL certificates.
  Note that release 1.4.56-3 existed and was built, but reverted in favor of this version.

 -- Darren Mobley <darren.mobley@webpros.com>  Tue, 29 Jul 2025 00:00:00 -0000

cpanel-analytics (1.4.56-2) stable; urgency=low

  * CPANEL-48285: Revert CPANEL-48079 changes:
  Reverted commit: fcc24be - Remove personhood input from whm, cpanel, and webmail templates'

 -- Charan Angara <sricharan.angara@webpros.com>  Thu, 17 Jul 2025 00:00:00 -0000

cpanel-analytics (1.4.56-1) stable; urgency=low

  * CPANEL-48079: Remove personhood input from whm, cpanel, and webmail templates.

 -- Eetion Narcisse <eetion.narcisse@webpros.com>  Thu, 10 Jul 2025 00:00:00 -0000

cpanel-analytics (1.4.55-5) stable; urgency=low

  * CPANEL-48009: Squash "Not a HASH reference" errors from Elevate.pm.

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Wed, 09 Jul 2025 00:00:00 -0000

cpanel-analytics (1.4.55-4) stable; urgency=low

  * CPANEL-48009: Further suppress "Not an ARRAY reference" errors from Elevate.pm.

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Tue, 10 Jun 2025 00:00:00 -0000

cpanel-analytics (1.4.55-3) stable; urgency=low

  * CPANEL-47717: Fix bug where traffic logs were not read properly in all cases.

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Tue, 10 Jun 2025 00:00:00 -0000

cpanel-analytics (1.4.55-2) stable; urgency=low

  * CPANEL-47560: Fix bug where traffic logs were not rotated properly

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Thu, 29 May 2025 00:00:00 -0000

cpanel-analytics (1.4.55-1) stable; urgency=low

  * CPANEL-46535: Improve the email statistics gathering.

 -- Jared Wright <jared.wright@webpros.com>  Wed, 30 Apr 2025 00:00:00 -0000

cpanel-analytics (1.4.54-4) stable; urgency=low

  * CPANEL-46499: Report NS management information

 -- Darren Mobley <darren.mobley@webpros.com>  Tue, 29 Apr 2025 00:00:00 -0000

cpanel-analytics (1.4.54-3) stable; urgency=low

  * Add visitors data to hash from cpanel-server-traffic.

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Mon, 28 Apr 2025 00:00:00 -0000

cpanel-analytics (1.4.54-2) stable; urgency=low

  * Collect data from /var/log/cpanel-server-traffic

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Mon, 14 Apr 2025 00:00:00 -0000

cpanel-analytics (1.4.54-1) stable; urgency=low

  * Move Elevate logic into its' own module
  * Collect data about what distro version a server may have elevated from

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Mon, 31 Mar 2025 00:00:00 -0000

cpanel-analytics (1.4.53-1) stable; urgency=low

  * Collect AppConfig information

 -- Sloane Bernstein <sloane.bernstein@webpros.com>  Wed, 12 Feb 2025 00:00:00 -0000

cpanel-analytics (1.4.52-1) stable; urgency=low

  * Fix data collection for Xovi & SocialBee plugins.
  * The is-plugin-usable righly looks for feature installation
  * The addressable-cpanel-users excludes suspended users
  * Move _add_SocialBee_data & _add_XOVI_data at the top to workaround init_acls
  issue which causes ACL check to fail

 -- Deepak Kumar <d.kumar@cpanel.net>  Wed, 12 Feb 2025 00:00:00 -0000

cpanel-analytics (1.4.51-1) stable; urgency=low

  * Collect additional Roundcube usage data.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Thu, 23 Jan 2025 00:00:00 -0000

cpanel-analytics (1.4.50-1) stable; urgency=low

  * Add Roundcube mixpanel_analytics plugin.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Wed, 15 Jan 2025 00:00:00 -0000

cpanel-analytics (1.4.49-12) stable; urgency=low

  * DUCKS-1492: Report XOVI and SocialBee data

 -- Deepak Kumar <d.kumar@cpanel.net>  Thu, 19 Dec 2024 00:00:00 -0000

cpanel-analytics (1.4.49-11) stable; urgency=low

  * HB-8102: Set defaults for known eximlog keys

 -- Darren Mobley <darren@cpanel.net>  Mon, 09 Dec 2024 00:00:00 -0000

cpanel-analytics (1.4.49-10) stable; urgency=low

  * DUCKS-6: Report the 360 Monitoring data.

 -- Deepak Kumar <d.kumar@cpanel.net>  Wed, 27 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-9) stable; urgency=low

  * HB-7985: Fixup for count of domains that are using remote MX.

 -- B. McMahon <benjamin.mcmahon@webpros.com>  Mon, 25 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-8) stable; urgency=low

  * HB-7814: Update malware detection stats to fail gracefully.
  * HB-8007: Add root of reported SMTP host to EximMainlog stats

 -- Jason Kiniry <jason.kiniry@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-7) stable; urgency=low

  * HB-7985: Count remote Mail eXchange records in DNS zones.

 -- B. McMahon <benjamin.mcmahon@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-6) stable; urgency=low

  * HB-7864: Gather details about custom SpamAssassin rules.

 -- Jared Wright <jared.wright@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-5) stable; urgency=low

  * HB-7807: Add more stats related to remote mail delivery

 -- Darren Mobley <darren.mobley@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-4) stable; urgency=low

  * HB-7814: Add Imunify malware detection to UpdateGatherer

 -- Jason Kiniry <jason.kiniry@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-3) stable; urgency=low

  * HB-7805: Total Email Sent/Received via Exim

 -- B. McMahon <benjamin.mcmahon@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-2) stable; urgency=low

  * HB-7812: Add more mail quota analytics

 -- Darren Mobley <darren.mobley@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.49-1) stable; urgency=low

  * HB-7813: Add SpamAssassin analytics

 -- Jared Wright <jared.wright@webpros.com>  Wed, 20 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.48-5) stable; urgency=low

  * GDATA-838: Adjust regex to add more cpanel plugin packages.

 -- Joe Zhou <joe.zhou@cpanel.net>  Tue, 19 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.48-4) stable; urgency=low

  * RE-893: Subtract the number of addon domains from subdomain count in
  domains_by_type breakdown.

 -- Charan Angara <sricharan.angara@webpros.com>  Tue, 12 Nov 2024 00:00:00 -0000

cpanel-analytics (1.4.48-3) stable; urgency=low

  * MOON-434: WHM's analytics template persists slideout dismissal.

 -- Charan Angara <sricharan.angara@webpros.com>  Wed, 09 Oct 2024 00:00:00 -0000

cpanel-analytics (1.4.48-2) stable; urgency=low

  * HB-7906: Update README and bump release

 -- B. McMahon <benjamin.mcmahon@webpros.com>  Mon, 07 Oct 2024 00:00:00 -0000

cpanel-analytics (1.4.48-1) stable; urgency=low

  * HB-7929: Adjust email account count collection method.

 -- Rikus Goodell <rikus.goodel@webpros.com>  Wed, 02 Oct 2024 00:00:00 -0000

cpanel-analytics (1.4.48-1) stable; urgency=low

  * RE-765: Begin collecting data on domain counts *by type* (addon, park, sub).
  * Fix bug in count for 'domains_per_account' where total count was incorrect.

 -- Andy Baugh <andy.baugh@webpros.com>  Fri, 13 Sep 2024 00:00:00 -0000

cpanel-analytics (1.4.47-3) stable; urgency=low

  * MOONS-1598: Redesign and add personhood dropdown in consent privacy flyout.

 -- Charan Angara <sricharan.angara@webpros.com>  Thu, 12 Sep 2024 00:00:00 -0000

cpanel-analytics (1.4.47-2) stable; urgency=low

  * ZC-12106: Introduce Ubuntu EasyApache4 data reporting.

 -- Chris Castillo <c.castillo@cpanel.net>  Wed, 28 Aug 2024 00:00:00 -0000

cpanel-analytics (1.4.47-1) stable; urgency=low

  * HB-7766: Gather the number of domains with a DMARC zone record.

 -- Jared Wright <jared.wright@webpros.com>  Mon, 22 Jul 2024 00:00:00 -0000

cpanel-analytics (1.4.46-1) stable; urgency=low

  * HB-7584: Gather "previous day" CalDAV/CardDAV usage data.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Mon, 01 Jul 2024 00:00:00 -0000

cpanel-analytics (1.4.45-5) stable; urgency=low

  * QUACKEN-288: Modify sitejet domains field to include just the published domains.

 -- Deepak Kumar <d.kumar@cpanel.net>  Mon, 01 Jul 2024 00:00:00 -0000

cpanel-analytics (1.4.45-4) stable; urgency=low

  * PHX-669: Add some basic server configurations

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 24 Jun 2024 00:00:00 -0000

cpanel-analytics (1.4.45-3) stable; urgency=low

  * PHX-743: Fix Mixpanel initialization on opt-in

 -- Charan Angara <charan@cpanel.net>  Fri, 14 Jun 2024 00:00:00 -0000

cpanel-analytics (1.4.45-1) stable; urgency=low

  * PH-20731
  * Remove Mixpanel distribution and instrumentation from cpanel-analytics package.
  * Moved it into cpanel code base.
  * Marked Analytics.pm module as `DEPRECATED`.

 -- Charan Angara <charan@cpanel.net>  Thu, 16 May 2024 00:00:00 -0000

cpanel-analytics (1.4.44-31) stable; urgency=low

  * BOO-4166: Gather domains per user account data.

 -- Jared Wright <jared.wright@cpanel.net>  Wed, 15 May 2024 00:00:00 -0000

cpanel-analytics (1.4.44-30) stable; urgency=low

  * RE-282: Don't send back blocker file info if blocker file is older than 8 days

 -- Tim Mullin <tim@cpanel.net>  Tue, 30 Apr 2024 00:00:00 -0000

cpanel-analytics (1.4.44-29) stable; urgency=low

  * PHX-423: Add a couple of fields to elevate data

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 15 Apr 2024 00:00:00 -0000

cpanel-analytics (1.4.44-28) stable; urgency=low

  * RE-285: Send back 'cloudlinux_database_installed' key with elevate data

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 02 Apr 2024 00:00:00 -0000

cpanel-analytics (1.4.44-27) stable; urgency=low

  * PHX-257: Fix elevate data structure

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 01 Apr 2024 00:00:00 -0000

cpanel-analytics (1.4.44-26) stable; urgency=low

  * BOO-3969: Fixed cPanel-Tools-Nav-Link and cPanel-Main-Menu-Nav-Link mixpanel events.

 -- Jared Wright <jared.wright@webpros.com>  Fri, 22 Mar 2024 00:00:00 -0000

cpanel-analytics (1.4.44-25) stable; urgency=low

  * BOO-3970: Ensure Cpanel::Pkgr is present before trying to use it.

 -- Chris Castillo <c.castillo@cpanel.net>  Wed, 20 Mar 2024 00:00:00 -0000

cpanel-analytics (1.4.44-24) stable; urgency=low

  * PHX-263: Remove repeated errors of invalid data type

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 18 Mar 2024 00:00:00 -0000

cpanel-analytics (1.4.44-23) stable; urgency=low

  * BOO-3830: Gather data for Site Quality Monitoring.

 -- Jared Wright <jared.wright@webpros.com>  Wed, 06 Mar 2024 00:00:00 -0000

cpanel-analytics (1.4.44-22) stable; urgency=low

  * RE-229: Send back '/var/cpanel/elevate' instead of '/var/cpanel/version/elevate'

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 05 Mar 2024 00:00:00 -0000

cpanel-analytics (1.4.44-21) stable; urgency=low

  * PHX-181: Update mailbox disk sizes to have a flat structure

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 04 Mar 2024 00:00:00 -0000

cpanel-analytics (1.4.44-20) stable; urgency=low

  * DUCK-10175: Fix sitejet tracking bug after sitejet release 1.1.0-21

 -- Deepak Kumar <d.kumar@cpanel.net>  Mon, 26 Feb 2024 00:00:00 -0000

cpanel-analytics (1.4.44-19) stable; urgency=low

  * PH-20680: Patch mixpanel client to handle target tags in HTML

 -- Joe Zhou <joe.zhou@cpanel.net>  Fri, 19 Jan 2024 00:00:00 -0000

cpanel-analytics (1.4.44-18) stable; urgency=low

  * PH-20665: Update mixpanel js to 2.48.1

 -- Joe Zhou <joe.zhou@cpanel.net>  Fri, 05 Jan 2024 00:00:00 -0000

cpanel-analytics (1.4.44-17) stable; urgency=low

  * PH-20658: Remove cpsess from current_url

 -- Joe Zhou <joe.zhou@cpanel.net>  Fri, 22 Dec 2023 00:00:00 -0000

cpanel-analytics (1.4.44-16) stable; urgency=low

  * PH-20570: Update RPM build steps in README.

 -- Joe Zhou <joe.zhou@cpanel.net>  Wed, 22 Nov 2023 00:00:00 -0000

cpanel-analytics (1.4.44-15) stable; urgency=low

  * PH-19800: Send analytics RPM version to mixpanel

 -- Joe Zhou <joe.zhou@cpanel.net>  Thu, 16 Nov 2023 00:00:00 -0000

cpanel-analytics (1.4.44-14) stable; urgency=low

  * DUCK-9266: Add Sitejet Builder plugin data to analytics.

 -- Deepak Kumar <d.kumar@cpanel.net>  Wed, 15 Nov 2023 00:00:00 -0000

cpanel-analytics (1.4.44-13) stable; urgency=low

  * CPANEL-43416: Remove daily cronjob for summarize-api1-logs

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 12 Oct 2023 00:00:00 -0000

cpanel-analytics (1.4.44-12) stable; urgency=low

  * CPANEL-43320: Remove logic to gather api1 logs

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 21 Sep 2023 00:00:00 -0000

cpanel-analytics (1.4.44-11) stable; urgency=low

  * DUCK-8355: Add team user roles count in Accounts section.

 -- Deepak Kumar <d.kumar@cpanel.net>  Wed, 06 Sep 2023 00:00:00 -0000

cpanel-analytics (1.4.44-10) stable; urgency=low

  * DUCK-8583: Identify a team user to MixPanel using an Analytics ID

 -- Julian Bernier <julian.bernier@webpros.com>  Tue, 11 Jul 2023 00:00:00 -0000

cpanel-analytics (1.4.44-9) stable; urgency=low

  * WPX-1078: Fix bug when enabling analytics on first onboarding.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Tue, 06 Jun 2023 00:00:00 -0000

cpanel-analytics (1.4.44-8) stable; urgency=low

  * PH-19688: Send user profile data to Mixpanel when using WHM and cPanel

 -- Everett Hickey <e.hickey@cpanel.net>  Thu, 18 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-7) stable; urgency=low

  * PH-19803: update method of dev environment detection

 -- Patrick Furtak <patrick.furtak@webpros.com>  Thu, 18 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-6) stable; urgency=low

  * PH-19679: add UUID for root user

 -- Joe Zhou <joe.zhou@cpanel.net>  Wed, 17 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-5) stable; urgency=low

  * PH-19887:
  Auto generate distinct_id in Mixpanel if a user account's UUID doesn't exist.

 -- Charan Angara <charan@cpanel.net>  Tue, 16 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-4) stable; urgency=low

  * CPANEL-42822: filter out dummy user for building WHM chrome

 -- Joe Zhou <joe.zhou@cpanel.net>  Fri, 12 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-3) stable; urgency=low

  * WPX-632: Track WordPress websites managed by installatron and softaculous plugins.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Wed, 10 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-2) stable; urgency=low

  * WPX-632: Track installations of installatron and softaculous plugins.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Fri, 05 May 2023 00:00:00 -0000

cpanel-analytics (1.4.44-1) stable; urgency=low

  * WPX-679: Assure a public IP is used for main IP.

 -- Todd Rinaldo <toddr@cpanel.net>  Thu, 04 May 2023 00:00:00 -0000

cpanel-analytics (1.4.43-18) stable; urgency=low

  * CPANEL-42389: "uninitialized value" from scripts/gather_update_log_stats
  Modified to more properly parse timestamps from error_log

 -- Andrew DeFaria <A.DeFaria@cpanel.net>  Wed, 03 May 2023 00:00:00 -0000

cpanel-analytics (1.4.43-17) stable; urgency=low

  * PH-19555:
  Identify Company as a Mixpanel group.
  Associate users to their respective Company group.

 -- Charan Angara <charan@cpanel.net>  Wed, 19 Apr 2023 00:00:00 -0000

cpanel-analytics (1.4.43-16) stable; urgency=low

  * PH-19799: send webmail user UUID to mixpanel

 -- Joe Zhou <joe.zhou@cpanel.net>  Wed, 12 Apr 2023 00:00:00 -0000

cpanel-analytics (1.4.43-15) stable; urgency=low

  * Track dedicated IP & Domain association

 -- Tim Mullin <tim@cpanel.net>  Tue, 11 Apr 2023 00:00:00 -0000

cpanel-analytics (1.4.43-14) stable; urgency=low

  * Track existence of /var/cpanel/elevate-noc-recommendations

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 05 Apr 2023 00:00:00 -0000

cpanel-analytics (1.4.43-13) stable; urgency=low

  * PH-19779: always set distribution method

 -- Joe Zhou <joe.zhou@cpanel.net>  Thu, 30 Mar 2023 00:00:00 -0000

cpanel-analytics (1.4.43-12) stable; urgency=low

  * Catch errors resulting from API calls not returning a result object

 -- Sloane Bernstein <sloane@cpanel.net>  Wed, 22 Mar 2023 00:00:00 -0000

cpanel-analytics (1.4.43-11) stable; urgency=low

  * PH-19610: track user migration data

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 13 Mar 2023 00:00:00 -0000

cpanel-analytics (1.4.43-10) stable; urgency=low

  * ZC-10678: Include `ea4-` prefixed packages in EA4 data

 -- Dan Muey <dan@cpanel.net>  Thu, 23 Feb 2023 00:00:00 -0000

cpanel-analytics (1.4.43-9) stable; urgency=low

  * Mixpanel implementation and additional event tracking.

 -- Joe Zhou <joe.zhou@cpanel.net>  Tue, 21 Feb 2023 00:00:00 -0000

cpanel-analytics (1.4.43-8) stable; urgency=low

  * Scan /etc/exim.conf.local for interesting keywords.

 -- Sloane Bernstein <sloane@cpanel.net>  Tue, 17 Jan 2023 00:00:00 -0000

cpanel-analytics (1.4.43-7) stable; urgency=low

  * Restore output message when sending a tarball.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Wed, 28 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.43-5) stable; urgency=low

  * Validate the tarball after its generation.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Thu, 22 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.43-4) stable; urgency=low

  * Add alternate method to generate the tarball on failure.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Thu, 22 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.43-3) stable; urgency=low

  * Fix VirtualUsers _date2Epoch to prefer gmtime over localtime.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Thu, 22 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.43-2) stable; urgency=low

  * Fix Ubuntu package.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Wed, 21 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.43-1) stable; urgency=low

  * Check if SRS is enabled.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Thu, 15 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.42-3) stable; urgency=low

  * Fix some extra reported bugs
  * Fix Customizations report when files missing or empty.
  * Fix when fetching bandwidth statistics.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Thu, 15 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.42-2) stable; urgency=low

  * Fix some warnings from previous release.
  * Fix unknown API 1 calls.
  * Fix dnscluster reporting stats.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Tue, 13 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.42-1) stable; urgency=low

  * CPANEL-42018: Collect usage of cPanel LiveEngine.
  * Multiple maintenance fixes:
  Remove errant calls to Logger causing reporting failures.
  Fix errors when gathering data due to missing functions.
  Add wrapper for API::1::Utils::Execute calls.
  Load on demand most cPanel packages.
  Fix testsuite.
  * Enable warnings from Gatherer.
  * Use function signature via Cpanel::UpdateGatherer::Std.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Thu, 08 Dec 2022 00:00:00 -0000

cpanel-analytics (1.4.41-1) stable; urgency=low

  * Gather statistics for total number of domains setup in httpd.conf.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Mon, 10 Oct 2022 00:00:00 -0000

cpanel-analytics (1.4.40-1) stable; urgency=low

  * CPANEL-41623: Report accesshash information

 -- Sloane Bernstein <sloane@cpanel.net>  Wed, 28 Sep 2022 00:00:00 -0000

cpanel-analytics (1.4.39-1) stable; urgency=low

  * COBRA-14041: Collect enabled AutoSSL provider

 -- Andrew Starodub <a.starodub@cpanel.net>  Wed, 28 Sep 2022 00:00:00 -0000

cpanel-analytics (1.4.38-1) stable; urgency=low

  * Gather statistical information about non-standard cpanel accounts.

 -- Todd Rinaldo <toddr@cpanel.net>  Tue, 27 Sep 2022 00:00:00 -0000

cpanel-analytics (1.4.37-1) stable; urgency=low

  * CPANEL-41513: Report Mailman information

 -- Sloane Bernstein <sloane@cpanel.net>  Tue, 27 Sep 2022 00:00:00 -0000

cpanel-analytics (1.4.36-1) stable; urgency=low

  * CPANEL-41599: Track local user count cache.

 -- Todd Rinaldo <toddr@cpanel.net>  Fri, 23 Sep 2022 00:00:00 -0000

cpanel-analytics (1.4.35-2) stable; urgency=low

  * CPANEL-41227: Fixed summarize-api1-logs to skip log files that have been corrupted

 -- Andrew DeFaria <A.DeFaria@cpanel.net>  Thu, 11 Aug 2022 00:00:00 -0000

cpanel-analytics (1.4.35-1) stable; urgency=low

  * COBRA-13911: Collect server quota and bandwidth data.

 -- Caitlin Flattery <c.flattery@cpanel.net>  Mon, 08 Aug 2022 00:00:00 -0000

cpanel-analytics (1.4.34-1) stable; urgency=low

  * DUCK-7123: Skip cl_edition reporting on older lve-utils.

 -- Deepak Kumar <d.kumar@cpanel.net>  Mon, 08 Aug 2022 00:00:00 -0000

cpanel-analytics (1.4.33-1) stable; urgency=low

  * CPANEL-41257: Remove identifiers from mail disk usage information

 -- Sloane Bernstein <sloane@cpanel.net>  Fri, 05 Aug 2022 00:00:00 -0000

cpanel-analytics (1.4.32-1) stable; urgency=low

  * CPANEL-: Improve gather data mechanism by isolating each functions.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Fri, 05 Aug 2022 00:00:00 -0000

cpanel-analytics (1.4.31-1) stable; urgency=low

  * ZC-10099: Track arbitrary container instances created by ea-podman

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Wed, 27 Jul 2022 00:00:00 -0000

cpanel-analytics (1.4.30-1) stable; urgency=low

  * CPANEL-40945: Report mail disk usage

 -- Sloane Bernstein <sloane@cpanel.net>  Tue, 26 Jul 2022 00:00:00 -0000

cpanel-analytics (1.4.29-1) stable; urgency=low

  * DUCK-7112: Report the Team Manager feature.

 -- Deepak Kumar <d.kumar@cpanel.net>  Fri, 22 Jul 2022 00:00:00 -0000

cpanel-analytics (1.4.28-1) stable; urgency=low

  * BWG-3320: Add snapshot_prep plugin for analytics id.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Wed, 13 Jul 2022 00:00:00 -0000

cpanel-analytics (1.4.27-1) stable; urgency=low

  * ZC-10001: Track ea container instances created by ea-podman

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Fri, 08 Jul 2022 00:00:00 -0000

cpanel-analytics (1.4.26-1) stable; urgency=low

  * CPANEL-41048: Collect cPanel ELevate blocker data

 -- Sloane Bernstein <sloane@cpanel.net>  Tue, 05 Jul 2022 00:00:00 -0000

cpanel-analytics (1.4.25-2) stable; urgency=low

  * CPANEL-40938: Fix any existing cron.d files without a trailing new line.

 -- Sloane Bernstein <sloane@cpanel.net>  Mon, 20 Jun 2022 00:00:00 -0000

cpanel-analytics (1.4.25-1) stable; urgency=low

  * CPANEL-40937: Assure cron.d files are generated with a trailing new line.

 -- Todd Rinaldo <todd.rinaldo@webpros.com>  Mon, 20 Jun 2022 00:00:00 -0000

cpanel-analytics (1.4.24-1) stable; urgency=low

  * CPANEL-39489: Add license type to GA page hits in WHM

 -- Chris Dillon <chris.dillon@webpros.com>  Fri, 27 May 2022 00:00:00 -0000

cpanel-analytics (1.4.23-1) stable; urgency=low

  * CPANEL-40718: Assure crontab is setup and run on debian.

 -- Todd Rinaldo <sloane@cpanel.net>  Thu, 26 May 2022 00:00:00 -0000

cpanel-analytics (1.4.22-1) stable; urgency=low

  * CPANEL-40666: Use a separate file in /etc/cron.d instead of root crontab

 -- Sloane Bernstein <sloane@cpanel.net>  Tue, 24 May 2022 00:00:00 -0000

cpanel-analytics (1.4.21-1) stable; urgency=low

  * CPANEL-40685: Collect installed package repositories.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Fri, 20 May 2022 00:00:00 -0000

cpanel-analytics (1.4.20-1) stable; urgency=low

  * ART-2048: Update Customization unit tests

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Tue, 17 May 2022 00:00:00 -0000

cpanel-analytics (1.4.19-1) stable; urgency=low

  * COBRA-13828: Stop localization of Server Profile

 -- Dustin Scherer <dustin.scherer@cpanel.net>  Wed, 11 May 2022 00:00:00 -0000

cpanel-analytics (1.4.18-6) stable; urgency=low

  * ART-2284: Version bump we forgot to submit with original ART-2284 change.

 -- Tom Green <tomg@cpanel.net>  Mon, 09 May 2022 00:00:00 -0000

cpanel-analytics (1.4.18-5) stable; urgency=low

  * BC-5277: Collect additional usage metrics.

 -- Todd Rinaldo <toddr@cpanel.net>  Wed, 27 Apr 2022 00:00:00 -0000

cpanel-analytics (1.4.18-4) stable; urgency=low

  * BC-5277: Collect additional usage metrics.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Fri, 22 Apr 2022 00:00:00 -0000

cpanel-analytics (1.4.18-3) stable; urgency=low

  * ART-1928 Debugging

 -- Thomas Green <tomg@cpanel.net>  Fri, 15 Apr 2022 00:00:00 -0000

cpanel-analytics (1.4.18-2) stable; urgency=low

  * ART-2212 Determine if and when we need to dig into the tar.gz older logs

 -- Andrew DeFaria <a.defaria@cpanel.net>  Mon, 11 Apr 2022 00:00:00 -0000

cpanel-analytics (1.4.18-1) stable; urgency=low

  * ART-2211 Write a parser for the session log

 -- Andrew DeFaria <a.defaria@cpanel.net>  Thu, 31 Mar 2022 00:00:00 -0000

cpanel-analytics (1.4.17-1) stable; urgency=low

  * BOO-2053: Collect database storage engine statistics.

 -- Chris Castillo <chris.castillo@cpanel.net>  Tue, 29 Mar 2022 00:00:00 -0000

cpanel-analytics (1.4.16-1) stable; urgency=low

  * DUCK-6788: Gather the number of demo users.

 -- Matthew Spahr <matthew.spahr@cpanel.net>  Mon, 28 Mar 2022 00:00:00 -0000

cpanel-analytics (1.4.15-1) stable; urgency=low

  * DUCK-6579: Report the CloudLinux edition.

 -- Deepak Kumar <d.kumar@cpanel.net>  Fri, 25 Mar 2022 00:00:00 -0000

cpanel-analytics (1.4.14-1) stable; urgency=low

  * PH-17754: Collect Content Include usage information (for Jupiter).

 -- Everett Hickey <e.hickey@cpanel.net>  Tue, 22 Mar 2022 00:00:00 -0000

cpanel-analytics (1.4.13-1) stable; urgency=low

  * CPANEL-40280: Collect elevation data when upgrading to AlmaLinux 8 from CentOS 7.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Mon, 21 Mar 2022 00:00:00 -0000

cpanel-analytics (1.4.12-1) stable; urgency=low

  * CPANEL-39992: Gather license state from Cpanel::License::State preferentially.

 -- Todd Rinaldo <toddr@cpanel.net>  Wed, 16 Feb 2022 00:00:00 -0000

cpanel-analytics (1.4.11-1) stable; urgency=low

  * COBRA-13690: Collect Server Profile and distributed accounts info.

 -- Roberto Alvarado <roberto.alvarado@cpanel.net>  Fri, 11 Feb 2022 00:00:00 -0000

cpanel-analytics (1.4.10-1) stable; urgency=low

  * PH-16817: Add a new key Jupiter to themes.

 -- Everett Hickey <e.hickey@cpanel.net>  Tue, 04 Jan 2022 00:00:00 -0000

cpanel-analytics (1.4.9-1) stable; urgency=low

  * BC-4571: Track email bounce rate.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Fri, 24 Dec 2021 00:00:00 -0000

cpanel-analytics (1.4.8-1) stable; urgency=low

  * CPANEL-39138: Set analytics sample rate to 100 for trial licenses.

 -- Chris Dillon <chris.dillon@webpros.com>  Fri, 12 Nov 2021 00:00:00 -0000

cpanel-analytics (1.4.7-2) stable; urgency=low

  * DUCK-6260: Collect number of virtual accounts.

 -- Marco Ferrufino <marco@cpanel.net>  Wed, 03 Nov 2021 00:00:00 -0000

cpanel-analytics (1.4.6-2) stable; urgency=low

  * CPANEL-39096: Stop relying on internal CA

 -- Adam Wien <adam.wien@webpros.com>  Wed, 27 Oct 2021 00:00:00 -0000

cpanel-analytics (1.4.6-1) stable; urgency=low

  * DUCK-6347: Fix WordPress Toolkit usage counts

 -- Matthew Spahr <matthew.spahr@webpros.com>  Wed, 13 Oct 2021 00:00:00 -0000

cpanel-analytics (1.4.5-1) stable; urgency=low

  * BWG-2382: Collect account migration info.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Thu, 30 Sep 2021 00:00:00 -0000

cpanel-analytics (1.4.4-1) stable; urgency=low

  * HB-6214: Enable and build package for Ubuntu

 -- Darren Mobley <darren@cpanel.net>  Fri, 24 Sep 2021 00:00:00 -0000

cpanel-analytics (1.4.3-7) stable; urgency=low

  * BC-4458: Collect usage of mailman lists per domain.

 -- Nicolas Rochelemagne <nicolas.rochelemagne@cpanel.net>  Fri, 24 Sep 2021 00:00:00 -0000

cpanel-analytics (1.4.3-6) stable; urgency=low

  * BWG-2522: Collect usage of "reseller without domain" creation.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Fri, 10 Sep 2021 00:00:00 -0000

cpanel-analytics (1.4.2-6) stable; urgency=low

  * ART-968: Collect the following license information as part of metadata:
  * Current license state as an identifying integer
  * Current license state in human readable form
  * Unique company ID
  * ART-1012: Add support for collecting cp-license-change
  GA events to WHM Analytics when enabled for the root user.
  * ART-1132: Use the cached license results rather than the last
  recorded license so we have an opportunity to update if the
  cache is expired.

 -- Thomas Green <tomg@cpanel.net>  Wed, 08 Sep 2021 00:00:00 -0000

cpanel-analytics (1.4.2-5) stable; urgency=low

  * ART-1080: Change license transition reporting to Google Analytics
  to use a human readable string for the transition type instead of
  a number the analyst will have to lookup each time to understand
  the context.

 -- Thomas Green <tomg@cpanel.net>  Fri, 27 Aug 2021 00:00:00 -0000

cpanel-analytics (1.4.2-4) stable; urgency=low

  * ART-1083: Fix bug where analytics flyout does not appear when
  there are missing Verify API helper modules.

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Fri, 27 Aug 2021 00:00:00 -0000

cpanel-analytics (1.4.2-3) stable; urgency=low

  * ART-1062: Fix reliability issues for older product versions
  that are missing the new Verify API helper modules.

 -- Thomas Green <tomg@cpanel.net>  Tue, 24 Aug 2021 00:00:00 -0000

cpanel-analytics (1.4.2-2) stable; urgency=low

  * ART-1012: Add support for collecting cp-license-change
  GA events to WHM Analytics when enabled for the root user.
  * ART-1060: Add support to run GA code on the license
  expired page.

 -- Thomas Green <tomg@cpanel.net>  Fri, 20 Aug 2021 00:00:00 -0000

cpanel-analytics (1.4.2-1) stable; urgency=low

  * DUCK-5312: Disable analytics flyout panel for WordPress Toolkit.

 -- Julian Bernier <j.bernier@cpanel.net>  Fri, 20 Aug 2021 00:00:00 -0000

cpanel-analytics (1.4.1-1) stable; urgency=low

  * DUCK-6099: Ignore Jupiter page paths for API1 summary logs.

 -- Matthew Spahr <matthew.spahr@cpanel.net>  Tue, 17 Aug 2021 00:00:00 -0000

cpanel-analytics (1.4.0-1) stable; urgency=low

  * DUCK-5932: Run update gatherer outside of upcp.
  Introduce new script to automatically gather and send usage
  stats, and run this via cron directly, without arguments or
  requirement of being run from within upcp.

 -- Marco Ferrufino <marco@cpanel.net>  Wed, 11 Aug 2021 00:00:00 -0000

cpanel-analytics (1.3.20-1) stable; urgency=low

  * ART-947: Adjust the default GA logging to be opt-out for the
  root user in whm when they are running with a trial license.

 -- Thomas Green <tomg@cpanel.net>  Fri, 30 Jul 2021 00:00:00 -0000

cpanel-analytics (1.3.19-1) stable; urgency=low

  * CPANEL-37973: Use Cpanel::OS for sysinfo_config data if possible.

 -- Todd Rinaldo <toddr@cpanel.net>  Tue, 27 Jul 2021 00:00:00 -0000

cpanel-analytics (1.3.18-1) stable; urgency=low

  * CPANEL-37922: Report reseller customization utilization

 -- Everett Hickey <e.hickey@cpanel.net>  Thu, 22 Jul 2021 00:00:00 -0000

cpanel-analytics (1.3.17-1) stable; urgency=low

  * PH-15644: report server customization utilization

 -- Joe Zhou <joe.zhou@cpanel.net>  Tue, 29 Jun 2021 00:00:00 -0000

cpanel-analytics (1.3.16-1) stable; urgency=low

  * GTM-1: Add sample rate in google analytics
  config to collect sampled data in google analytics reports.
  This helps us to not cross over our 10 Million hit limit
  per month.

 -- Charan Angara <charan@cpanel.net>  Fri, 09 Apr 2021 00:00:00 -0000

cpanel-analytics (1.3.15-2) stable; urgency=low

  * CPANEL-34914: Collect full active database version.

 -- Chris Castillo <c.castillo@cpanel.net>  Tue, 30 Mar 2021 00:00:00 -0000

cpanel-analytics (1.3.15-1) stable; urgency=low

  * BWG-2134: Collect Z-Push daily login counts.

 -- Brian Gottreu <b.gottreu@cpanel.net>  Tue, 09 Mar 2021 00:00:00 -0000

cpanel-analytics (1.3.14-3) stable; urgency=low

  * DUCK-4964:
  * Collect additional information on installed addon modules
  * Collect additional WordPress usage

 -- Rubber Duck <rubberduck@cpanel.net>  Tue, 02 Mar 2021 00:00:00 -0000

cpanel-analytics (1.3.14-2) stable; urgency=low

  * CPANEL-35264: Fix unnecessary error thrown my licence gathering

 -- Tim Mullin <tim@cpanel.net>  Tue, 29 Dec 2020 00:00:00 -0000

cpanel-analytics (1.3.14-1) stable; urgency=low

  * BWG-1809: Collect CCS and Dovecot daily login counts.

 -- Rikus Goodell <rikus.goodell@cpanel.net>  Fri, 06 Nov 2020 00:00:00 -0000

cpanel-analytics (1.3.13-3) stable; urgency=low

  * CPANEL-34295
  * Add support for license ID

 -- Adam Wien <adam@cpanel.net>  Fri, 16 Oct 2020 00:00:00 -0000

cpanel-analytics (1.3.13-2) stable; urgency=low

  * CPANEL-33791, HB-5795:
  * Add support for gathering tcpwrapper usage

 -- Darren Mobley <darren@cpanel.net>  Wed, 12 Aug 2020 00:00:00 -0000

cpanel-analytics (1.3.13-1) stable; urgency=low

  * CPANEL-33064:
  * BOO-1166: Collect hostname at install as part of metadata if possible
  * BOO-1161: Collect whether hostname is autoissued or not as part of metadata
  * BOO-1162: Collect default nameservers as part of metadata
  * BOO-1145: Collect cpanel service sslinfo as part of metadata
  * BOO-1139: Collect the hostname and resolution as part of metadata

 -- Rishwanth Yeddula <rish@cpanel.net>  Tue, 30 Jun 2020 00:00:00 -0000

cpanel-analytics (1.3.12-2) stable; urgency=low

  * CPANEL-33131: Add ModSecurity ruleset usage info

 -- Dan Muey <dan@cpanel.net>  Thu, 18 Jun 2020 00:00:00 -0000

cpanel-analytics (1.3.12-1) stable; urgency=low

  * Added code to gather databases / cpanel user statistics.
  * Added code to gather database users / cpanel user statistics.

 -- Tom Green <tomg@cpanel.net>  Fri, 05 Jun 2020 00:00:00 -0000

cpanel-analytics (1.3.11-1) stable; urgency=low

  * CPANEL-32911: Add RPM and license data for Imunify products

 -- Marco Ferrufino <marco@cpanel.net>  Mon, 01 Jun 2020 00:00:00 -0000

cpanel-analytics (1.3.10-1) stable; urgency=low

  * CPANEL-32848: Handle exceptions caused by missing or stale mysql-db-usage datastores

 -- Chris Dillon <chris.dillon@cpanel.net>  Thu, 28 May 2020 00:00:00 -0000

cpanel-analytics (1.3.9-1) stable; urgency=low

  * CPANEL-32562: Fetch database sizes from mysql-db-usage.json datastores
  instead of MySQL's information_schema.

 -- Rishwanth Yeddula <rish@cpanel.net>  Fri, 01 May 2020 00:00:00 -0000

cpanel-analytics (1.3.8-1) stable; urgency=low

  * Need to bump minor version due to OBS issues with the versioning

 -- Cory McIntire <cory@cpanel.net>  Mon, 27 Apr 2020 00:00:00 -0000

cpanel-analytics (1.3.7-4) stable; urgency=low

  * CPANEL-32135: Fetch 'old_password' stats only on systems running MySQL < 5.7

 -- Rishwanth Yeddula <rish@cpanel.net>  Mon, 20 Apr 2020 00:00:00 -0000

cpanel-analytics (1.3.7-3) stable; urgency=low

  * CPANEL-32163: Update cPanel and Webmail icons to match WHM.

 -- Phoenix <scrum.phoenix@cpanel.net>  Tue, 31 Mar 2020 00:00:00 -0000

cpanel-analytics (1.3.7-2) stable; urgency=low

  * Add loading of custom modules
  * Moved locale metrics to module

 -- Ken Power <kenp@cpanel.net>  Wed, 25 Mar 2020 00:00:00 -0000

cpanel-analytics (1.3.7-1) stable; urgency=low

  * CPANEL-32064: Update look-and-feel and animations to match NPS survey tab.

 -- Phoenix <scrum.phoenix@cpanel.net>  Mon, 23 Mar 2020 00:00:00 -0000

cpanel-analytics (1.3.6-10) stable; urgency=low

  * CPANEL-31889: Changed the summary to write a special version of the index
  page if the issue is with Installatron.

 -- Rubber Ducks <rubberduck@cpanel.net>  Thu, 12 Mar 2020 00:00:00 -0000

cpanel-analytics (1.3.6-9) stable; urgency=low

  * CPANEL-31778: Ignore calls to specific boxtrapper html files.

 -- Rubber Ducks <rubberduck@cpanel.net>  Tue, 03 Mar 2020 00:00:00 -0000

cpanel-analytics (1.3.6-8) stable; urgency=low

  * HB-5318: Add cpanel-plugins RPMs to analytics

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Thu, 20 Feb 2020 00:00:00 -0000

cpanel-analytics (1.3.6-7) stable; urgency=low

  * CPANEL-31606: Ignore calls to index.htm that only use the LVEInfo::start
  api.

 -- Rubber Ducks <rubberduck@cpanel.net>  Wed, 19 Feb 2020 00:00:00 -0000

cpanel-analytics (1.3.6-6) stable; urgency=low

  * BOO-1024: Add MySQL database size statistics

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 30 Jan 2020 00:00:00 -0000

cpanel-analytics (1.3.6-5) stable; urgency=low

  * Update known pages list for DUCK-2726

 -- Rubber Ducks <rubberduck@cpanel.net>  Wed, 29 Jan 2020 00:00:00 -0000

cpanel-analytics (1.3.6-4) stable; urgency=low

  * CPANEL-31238: Ship PHP version per domain home

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 29 Jan 2020 00:00:00 -0000

cpanel-analytics (1.3.6-3) stable; urgency=low

  * DUCK-2660: Filter API 1 usage via symlinked files so the report
  only shows usage with non-cPanel integrations.

 -- Tom Green <tomg@cpanel.net>  Thu, 23 Jan 2020 00:00:00 -0000

cpanel-analytics (1.3.6-2) stable; urgency=low

  * BWG-922: Add clustering information to the metadata gathered.

 -- George Baugh <george.b@cpanel.net>  Tue, 07 Jan 2020 00:00:00 -0000

cpanel-analytics (1.3.6-1) stable; urgency=low

  * CPANEL-30957: Revert 'Add MySQL database size statistics' due to dependency issues.

 -- Rishwanth Yeddula <rish@cpanel.net>  Mon, 06 Jan 2020 00:00:00 -0000

cpanel-analytics (1.3.5-1) stable; urgency=low

  * Add MySQL database size statistics

 -- Rishwanth Yeddula <rish@cpanel.net>  Wed, 04 Dec 2019 00:00:00 -0000

cpanel-analytics (1.3.4-9) stable; urgency=low

  * Add cPHulk's enabled status
  * Add the output of WHM API 1 load_cphulk_config

 -- Jason Kiniry <jason@cpanel.net>  Wed, 16 Oct 2019 00:00:00 -0000

cpanel-analytics (1.3.4-8) stable; urgency=low

  * Add the existential status of /etc/allowstupidstuff
  * Get the count of users where the username starts with a digit
  * Get a total count of users for comparison

 -- Jason Kiniry <jason@cpanel.net>  Tue, 15 Oct 2019 00:00:00 -0000

cpanel-analytics (1.3.4-7) stable; urgency=low

  * Fix reporting of domains without inboxes

 -- Ken Power <kenp@cpanel.net>  Wed, 09 Oct 2019 00:00:00 -0000

cpanel-analytics (1.3.4-6) stable; urgency=low

  * Added way to filter the API1 calls that are built into the
  product.

 -- Tom Green <tomg@cpanel.net>  Fri, 04 Oct 2019 00:00:00 -0000

cpanel-analytics (1.3.4-5) stable; urgency=low

  * Add cron script for summarizing logs
  * Updated gatherer to read and send yesterdays summary log

 -- Daniel Chisolm <d.chisolm@cpanel.net>  Fri, 04 Oct 2019 00:00:00 -0000

cpanel-analytics (1.3.4-4) stable; urgency=low

  * Report disk usage, memory usage, cpu count

 -- Ken Power <kenp@cpanel.net>  Thu, 03 Oct 2019 00:00:00 -0000

cpanel-analytics (1.3.4-3) stable; urgency=low

  * Report if backups and legacy backups are enabled
  * Report what transport types are enabled, if any

 -- Darren Mobley <darren@cpanel.net>  Mon, 23 Sep 2019 00:00:00 -0000

cpanel-analytics (1.3.4-2) stable; urgency=low

  * Always report operational analytics data
  * Count inboxes by domain
  * Remove legacy EasyApache 3 cruft
  * Track enablement of email archiving

 -- Ken Power <kenp@cpanel.net>  Thu, 12 Sep 2019 00:00:00 -0000

cpanel-analytics (1.3.4-1) stable; urgency=low

  * Convert to using Moo

 -- Ken Power <kenp@cpanel.net>  Thu, 05 Sep 2019 00:00:00 -0000

cpanel-analytics (1.3.3-7) stable; urgency=low

  * Updated postgresql detection to use Cpanel::PostgresUtils

 -- Stephen Bee <stephen@cpanel.net>  Tue, 27 Aug 2019 00:00:00 -0000

cpanel-analytics (1.3.3-6) stable; urgency=low

  * Count the number of email accounts

 -- Ken Power <kenp@cpanel.net>  Thu, 11 Jul 2019 00:00:00 -0000

cpanel-analytics (1.3.3-5) stable; urgency=low

  * Gather basic MX type statistics as part of the
  Update::Gatherer metadata

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 13 Jun 2019 00:00:00 -0000

cpanel-analytics (1.3.3-4) stable; urgency=low

  * Remove trailing colon from timestamps
  * Remove the use of Cpanel::FastInstall

 -- Joe Zhou <joe.zhou@cpanel.net>  Fri, 12 Apr 2019 00:00:00 -0000

cpanel-analytics (1.3.3-3) stable; urgency=low

  * Add update gatherer to cpanel-analytics

 -- Joe Zhou <joe.zhou@cpanel.net>  Mon, 01 Apr 2019 00:00:00 -0000

cpanel-analytics (1.3.3-2) stable; urgency=low

  * Remove dependency on cpanel-version

 -- Joe Zhou <joe.zhou@cpanel.net>  Tue, 26 Mar 2019 00:00:00 -0000

cpanel-analytics (1.3.3-1) stable; urgency=low

  * Fix bug where the area underneath the lightbulb is not clickable
  * Make the slide-out full width for resolutions < 768px

 -- Aneece Yazdani <aneece@cpanel.net>  Tue, 08 Jan 2019 00:00:00 -0000

cpanel-analytics (1.3.2-6) stable; urgency=low

  * Fix code to open the documentation link in new window

 -- Sruthi Sanigarapu <sruthi@cpanel.net>  Tue, 04 Dec 2018 00:00:00 -0000

cpanel-analytics (1.3.2-5) stable; urgency=low

  * Update wording in the consent dialog
  * Update the link for additional information

 -- Aneece Yazdani <aneece@cpanel.net>  Wed, 28 Nov 2018 00:00:00 -0000

cpanel-analytics (1.3.2-4) stable; urgency=low

  * Record dialog dismissals as denies when there is no recorded opt-in setting

 -- Aneece Yazdani <aneece@cpanel.net>  Tue, 27 Nov 2018 00:00:00 -0000

cpanel-analytics (1.3.2-3) stable; urgency=low

  * Update the cPanel include template to use app_key for page title

 -- Sruthi Sanigarapu <sruthi@cpanel.net>  Tue, 20 Nov 2018 00:00:00 -0000

cpanel-analytics (1.3.2-2) stable; urgency=low

  * Update the WHM include template to use the app_key for the page title

 -- Aneece Yazdani <aneece@cpanel.net>  Mon, 19 Nov 2018 00:00:00 -0000

cpanel-analytics (1.3.2-1) stable; urgency=low

  * Update Webmail analytics include to report page title and default webmail client

 -- Sruthi Sanigarapu <sruthi@cpanel.net>  Mon, 05 Nov 2018 00:00:00 -0000

cpanel-analytics (1.3.1-1) stable; urgency=low

  * Use the correct tracking codes for analytics

 -- Jeffrey Royer <jeffrey.royer@cpanel.net>  Thu, 28 Jun 2018 00:00:00 -0000

cpanel-analytics (1.3.0-1) stable; urgency=low

  * Restrict installation of this RPM to cpanel versions greater than 74

 -- Jeffrey Royer <jeffrey.royer@cpanel.net>  Tue, 19 Jun 2018 00:00:00 -0000

cpanel-analytics (1.2.0-1) stable; urgency=low

  * Added a user consent widget to the cpanel, webmail, and whm templates
  * Stores the user setting in nvdata for the appropriate app (cpanel, webmail, whm)
  * Grabs the setting from nvdata using template toolkit
  * Strip out the cpsession and just sends the path for the page and location
  * Turn on the anonymize ip setting

 -- Jeffrey Royer <jeffrey.royer@cpanel.net>  Tue, 19 Jun 2018 00:00:00 -0000

cpanel-analytics (1.1.0-1) stable; urgency=low

  * Update the name of the RPM

 -- Jeffrey Royer <jeffrey.royer@cpanel.net>  Wed, 30 May 2018 00:00:00 -0000

cpanel-analytics (1.0.1-1) stable; urgency=low

  * Update the templates to include the OS and company ID
  * Update the include point for WHM
  * Update cpanel and webmail templates to grab the current style
  * Update the webmail template to get the cpanel version properly

 -- Jeffrey Royer <jeffrey.royer@cpanel.net>  Tue, 29 May 2018 00:00:00 -0000

cpanel-analytics (1.0.0-1) stable; urgency=low

  * Initial commit

 -- Jeffrey Royer <jeffrey.royer@cpanel.net>  Fri, 04 May 2018 00:00:00 -0000

